
Redmine - Defect #12649

Async SMTP mails stopped working

2012-12-19 15:49 - Juraj Lonc

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.1.4

Description

I upgraded from 1.4 to 2.1.4-stable and mail notifications stopped working.

I made modification to configuration.yml and changed "smtp_settings" to "async_smtp_settings" but it did not help.

configuration.yml

default:

  email_delivery:

    delivery_method: :async_smtp

    async_smtp_settings:

      address: ares.gi-bon.local

      port: 25

      domain: gi-bon.sk

production:

development:

 Log does not contain any error message and test mail is not delivered (even not sent).

Started GET "/redmine/admin/test_email" for 192.168.1.7 at Wed Dec 19 15:39:46 +0100 2012

Processing by AdminController#test_email as HTML

  Current user: duro (id=8)

  Rendered mailer/test_email.text.erb within layouts/mailer (0.6ms)

  Rendered mailer/test_email.html.erb within layouts/mailer (0.5ms)

Redirected to http://vulcan.gi-bon.local/redmine/settings/edit?tab=notifications

Completed 302 Found in 117ms (ActiveRecord: 0.9ms)

History

#1 - 2012-12-19 23:18 - Toshi MARUYAMA

- Subject changed from Async SMPT mails stopped working to Async SMTP mails stopped working

#2 - 2013-01-17 21:07 - Alex Shulgin

Works for me on Redmine-2.2.

#3 - 2013-01-18 16:45 - Juraj Lonc

I managed it to work somehow...

configuration.yml contains this:

default:

  # Outgoing emails configuration (see examples above)

  email_delivery:

    delivery_method: :async_smtp

    async_smtp_settings:

      address: ares.gi-bon.local
      port: 25

      domain: gi-bon.sk

production:

  email_delivery:

    delivery_method: :async_smtp

    async_smtp_settings:

      address: ares.gi-bon.local

      port: 25

      domain: gi-bon.sk

#4 - 2013-01-18 16:46 - Juraj Lonc

- Status changed from New to Resolved

#5 - 2013-01-18 17:03 - Daniel Felix

- Status changed from Resolved to Closed

Closed due to author feedback.
